paraent_folder="opt_results"
ref_model="facebook/opt-125m"
target_model="facebook/opt-1.3b"
oracal_model="facebook/opt-2.7b"
num_samples=1000

for algorithm_name in  "KGW" "Unigram" "SWEET" "EWD" "DIP" 
# "XSIR" "UPV" "SIR" # requires downloading additional models
do
    for setting in  "unwatermarked" "watermarked" "unwatermarked" "watermarked" "watermarked_with_word-d" "watermarked_with_word-s" "baseline" 
    # "watermarked_with_gpt-3.5" requires openai api key
    do 
        python main.py setting=$setting num_samples=$num_samples algorithm_name=$algorithm_name paraent_folder=$paraent_folder oracal_model=$oracal_model
    done

    setting="watermarked_with_our_attack"
    attack_type="our_attack"
    for attack_strength in 0.5 
    do
        python main.py setting=$setting num_samples=$num_samples algorithm_name=$algorithm_name attack_type=$attack_type paraent_folder=$paraent_folder attack_strength=$attack_strength oracal_model=$oracal_model target_model=$target_model ref_model=$ref_model
    done 
done


